Get an asset from an external wallet
Returns an external wallet by wallet ID and asset ID. External Wallet is a whitelisted address of a wallet that belongs to your users/counterparties. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
GET
/
external_wallets
/
{walletId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.externalWallets.getExternalWalletAsset(externalWalletsApiGetExternalWalletAssetRequest);CompletableFuture<ApiResponse<ExternalWalletAsset>> response = fireblocks.externalWallets().getExternalWalletAsset(walletId, assetId);response = fireblocks.external_wallets.get_external_wallet_asset(wallet_id, asset_id);curl --request GET \
--url https://api.fireblocks.io/v1/external_wallets/{walletId}/{assetId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/external_wallets/{walletId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"address": "<string>",
"balance": 123,
"lockedAmount": 123,
"tag": "<string>",
"activationTime": "<string>",
"additionalInfo": [
{
"accountHolderGivenName": "<string>",
"accountHolderSurname": "<string>",
"accountHolderCity": "<string>",
"accountHolderCountry": "<string>",
"accountHolderAddress1": "<string>",
"accountHolderAddress2": "<string>",
"accountHolderDistrict": "<string>",
"accountHolderPostalCode": "<string>",
"abaRoutingNumber": "<string>",
"abaAccountNumber": "<string>",
"abaCountry": "<string>",
"iban": "<string>",
"ibanCity": "<string>",
"ibanCountry": "<string>",
"speiClabe": "<string>",
"speiName": "<string>"
}
]
}{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the wallet
The ID of the asset to return
Was this page helpful?
Previous
Add an asset to an external wallet.Adds an asset to an existing external wallet. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.externalWallets.getExternalWalletAsset(externalWalletsApiGetExternalWalletAssetRequest);CompletableFuture<ApiResponse<ExternalWalletAsset>> response = fireblocks.externalWallets().getExternalWalletAsset(walletId, assetId);response = fireblocks.external_wallets.get_external_wallet_asset(wallet_id, asset_id);